Bug 1013937 - The 'back' button in 'Export workspaces' panel needs to be clicked twice to get back
The 'back' button in 'Export workspaces' panel needs to be clicked twice to g...
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: BAM (Show other bugs)
6.0.0
Unspecified Unspecified
low Severity low
: ER5
: 6.0.0
Assigned To: Neus Miras
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 01:29 EDT by Jan Hrcek
Modified: 2014-08-06 16:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:09:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Video of reproducing steps (1.76 MB, video/webm)
2013-10-01 01:29 EDT, Jan Hrcek
no flags Details

  None (edit)
Description Jan Hrcek 2013-10-01 01:29:20 EDT
Created attachment 805734 [details]
Video of reproducing steps

Description of problem:
See summary and attached video of steps to reproduce.

Version-Release number of selected component (if applicable):
BPMS 6.0.0 ER3

How reproducible:
Always. This issue manifests itself both in Firefox 17 and in latest Google chrome 29.

Steps to Reproduce:
1. Go to workspace Showcase, page Import and Export
2. Bring panel 'Export workspaces' forward, click Export button
3. Download the workspace export file (using Download link)
4. Click the back button

Actual results:
The panel doesn't return back to menu with workspace checkboxes, but remains in the state with the Download link. The back button has to be clicked once more to really return back.

Expected results:
Just one click on the Back button should take you back to panels original state.
Comment 2 Neus Miras 2013-10-21 12:10:27 EDT
Added a fireAfterRenderPanel call after download the export file to restore the controller status to enable actions.

commits
Master:
https://github.com/droolsjbpm/dashboard-builder/commit/282a2bf7900ef3df460d9dae55aa7c3ec75768a6

6.0.x
https://github.com/droolsjbpm/dashboard-builder/commit/82085b803bc34781824cb4356960f8791d386366
Comment 3 Jan Hrcek 2013-11-29 09:15:29 EST
Ok, I verify, that the problem has been fixed in BPMS 6.0.0 ER5.

Note You need to log in before you can comment on or make changes to this bug.